summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-21 07:26:23 +0100
committerSam James <sam@gentoo.org>2021-04-21 19:49:26 +0100
commitb54bab2d4da7e5d631ea743ac996c880553cd01d (patch)
treef8bba1cf0407728fb756b9140e45d23b85ee3e91 /games-util/gslist
parentgames-util/uglygs: update EAPI 6 -> 7, respect CC (diff)
downloadgentoo-b54bab2d4da7e5d631ea743ac996c880553cd01d.tar.gz
gentoo-b54bab2d4da7e5d631ea743ac996c880553cd01d.tar.bz2
gentoo-b54bab2d4da7e5d631ea743ac996c880553cd01d.zip
games-util/gslist: update EAPI 6 -> 7, respect CC
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'games-util/gslist')
-rw-r--r--games-util/gslist/files/gslist-0.8.11a-build.patch4
-rw-r--r--games-util/gslist/gslist-0.8.11a-r1.ebuild19
2 files changed, 14 insertions, 9 deletions
diff --git a/games-util/gslist/files/gslist-0.8.11a-build.patch b/games-util/gslist/files/gslist-0.8.11a-build.patch
index 4ffbfd94e01..e13309c02c6 100644
--- a/games-util/gslist/files/gslist-0.8.11a-build.patch
+++ b/games-util/gslist/files/gslist-0.8.11a-build.patch
@@ -1,5 +1,5 @@
---- work.orig/Makefile
-+++ work/Makefile
+--- a/Makefile
++++ b/Makefile
@@ -1,26 +1,30 @@
-CFLAGS += -O2 -s -fstack-protector-all
+CFLAGS += -Wall -D_GNU_SOURCE
diff --git a/games-util/gslist/gslist-0.8.11a-r1.ebuild b/games-util/gslist/gslist-0.8.11a-r1.ebuild
index cbe916e10a6..07bacb2fdeb 100644
--- a/games-util/gslist/gslist-0.8.11a-r1.ebuild
+++ b/games-util/gslist/gslist-0.8.11a-r1.ebuild
@@ -1,11 +1,14 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
+
+inherit toolchain-funcs
DESCRIPTION="A GameSpy server browser"
HOMEPAGE="http://aluigi.altervista.org/papers.htm#gslist"
SRC_URI="mirror://gentoo/${P}.zip"
+S="${WORKDIR}"
LICENSE="GPL-2"
SLOT="0"
@@ -13,10 +16,8 @@ KEYWORDS="~amd64 ~hppa ~x86"
IUSE="web"
RDEPEND="dev-libs/geoip"
-DEPEND="${RDEPEND}
- app-arch/unzip"
-
-S="${WORKDIR}"
+DEPEND="${RDEPEND}"
+BDEPEND="app-arch/unzip"
PATCHES=(
"${FILESDIR}"/${P}-build.patch
@@ -28,7 +29,11 @@ src_prepare() {
}
src_compile() {
- emake SQL=0 $(use web || echo GSWEB=0)
+ tc-export CC
+
+ emake \
+ SQL=0 \
+ $(use web || echo GSWEB=0)
}
src_install() {